Index: palette.c
===================================================================
RCS file: /home/wine/wine/graphics/x11drv/palette.c,v
retrieving revision 1.36
diff -u -r1.36 palette.c
--- palette.c	31 Oct 2002 02:38:20 -0000	1.36
+++ palette.c	19 Apr 2003 11:20:06 -0000
@@ -1221,6 +1221,9 @@
     UINT ret;
     PALETTEOBJ *palPtr;
 
+    /* For X11DRV_PALETTE_VIRTUAL (>256 colours), no need to realize */
+    if (X11DRV_PALETTE_PaletteFlags & X11DRV_PALETTE_VIRTUAL) return 0; 
+
     if (!(palPtr = GDI_GetObjPtr( hpal, PALETTE_MAGIC ))) return 0;
     ret = X11DRV_PALETTE_SetMapping( palPtr, 0, palPtr->logpalette.palNumEntries, !primary );
     GDI_ReleaseObj( hpal );
